Bug 840883 - [abrt] rabbitvcs-core-0.15.0.5-1.fc16: log.py:1296:compare_previous_revision:TypeError: object of type 'NoneType' has no len()
[abrt] rabbitvcs-core-0.15.0.5-1.fc16: log.py:1296:compare_previous_revision:...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rabbitvcs (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
abrt_hash:ceaadfb946b7acb040c1284f984...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-17 09:49 EDT by Brian Sipos
Modified: 2013-02-13 14:44 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 14:43:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Sipos 2012-07-17 09:49:18 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/lib/python2.7/site-packages/rabbitvcs/ui/log.py /home/BSipos/workspace/skyterra_crm/documentation
comment:        Attempting to "compare with previous revision" an ODT file. 
executable:     /usr/lib/python2.7/site-packages/rabbitvcs/ui/log.py
kernel:         3.4.4-4.fc16.x86_64
time:           Tue 17 Jul 2012 09:39:37 AM EDT
uid:            500
username:       BSipos

backtrace:
:log.py:1296:compare_previous_revision:TypeError: object of type 'NoneType' has no len()
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/rabbitvcs/ui/log.py", line 1296, in compare_previous_revision
:    if len(self.revisions[0]["parents"]) > 0:
:TypeError: object of type 'NoneType' has no len()
:
:Local variables in innermost frame:
:data: <gtk.gdk.Event at 0x7f4c682e03a0: GDK_BUTTON_PRESS x=43.00, y=12.00, button=1>
:widget: <gtk.ImageMenuItem object at 0x7f4c682c4820 (GtkImageMenuItem at 0x14748f0)>
:rev: u'1935'
:self: <__main__.LogBottomContextMenuCallbacks instance at 0x12c2878>

smolt_data:
:
:
:General
:=================================
:UUID: ecd62834-f0d4-440d-a22b-e69131c5c9a2
:OS: Fedora release 16 (Verne)
:Default run level: 5
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 5319.52
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7 CPU       M 620  @ 2.67GHz
:CPU Stepping: 5
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2667
:System Memory: 7847
:System Swap: 9855
:Vendor: LENOVO
:System: 4313CTO ThinkPad T510
:Form factor: Notebook
:Kernel: 3.4.4-4.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4480:59426:6058:8499) pci, sdhci-pci, BASE, MMC/SD Host Controller
:(4480:57904:6058:8500) pci, None, BASE, Memory Stick Host Controller
:(4480:59442:6058:8502) pci, firewire_ohci, FIREWIRE, FireWire Host Controller
:(32902:11362:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:6058:8595) pci, None, HOST/PCI, Core Processor DRAM Controller
:(32902:69:6058:8596) pci, pcieport, PCI/PCI, Core Processor PCI Express x16 Root Port
:(32902:11536:6058:8598) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:6058:8598) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:6058:8551) pci, i801_smbus, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15151:6058:8552) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 6 port SATA AHCI Controller
:(32902:15111:6058:8550) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:6058:8592) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:4330:6058:8531) pci, e1000e, ETHERNET, 82577LM Gigabit Network Connection
:(32902:9288:6058:8549) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15164:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15204:6058:8543) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:16952:32902:4369) pci, iwlwifi, NETWORK, Centrino Ultimate-N 6300 3x3 AGN
:(32902:15176:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 4
:(32902:15170:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15178:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 5
:(32902:15190:6058:8542) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(4318:3043:6058:8591) pci, snd_hda_intel, MULTIMEDIA, High Definition Audio Controller
:(4318:2668:6058:8663) pci, nvidia, VIDEO, GT218 [NVS 3100M]
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_bsipost510-lv_root / ext4 4096 4096 13081025 5541201 4885841 3276800 2477583 2477583
:/dev/sda3 /boot ext4 1024 1024 508644 433132 407532 128016 127771 127771
:/dev/mapper/vg_bsipost510-lv_home /home ext4 4096 4096 75521230 22627575 18846967 18907136 18335158 18335158
:
Comment 1 Daniel O'Connor 2012-09-08 15:03:32 EDT
Duplicate of Bug #848467
Comment 2 Fedora End Of Life 2013-01-16 11:15:35 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 14:44:00 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.